/* Main Page Styling */
body {
  font-family: 'Avenir', serif;
  /* font-size: 20px; */
  line-height: 1.5;
  background-color: #fff;
  color: #343C44;
  margin: 20px auto 40px auto;
  max-width: 800px;
  font-weight: 400;
}

main {
  margin-top: 10px;
}
section {
  margin: 20px 0 20px 0;
}

/* Text Styling */
.about p, ul {
  font-size: 16px;
}

h1 {
  font-size: 24px;
  font-weight: 500;
  font-family: Avenir, sans-serif;
}

p, ul {
  font-family: Avenir, sans-serif;
  margin-bottom: 5px;
  font-size: 20px;
}

.highlight-low {
  box-shadow: inset 0 -7px 0 rgba(76,163,134,0.5);
  font-weight: 700;
}

.about-title {
  font-size: 24px;
}

.description p {
font-size: 18px;  
}

.category {
  font-weight: 500;
   font-size: 16px;
  text-transform: uppercase; 
}

.helper {
  font-family: Avenir;
  font-size: 16px;
  text-transform: uppercase; 
  font-weight: 600;
  color: #6D97CA;
}

a {
  color: #343C44;
  font-weight: 600;
  text-decoration: none;
}

a:hover {
  color: #343C44;
  text-decoration: underline;
}


.caption {
  font-family: Avenir;
  font-size: 5px;
  color: #999999;
  text-align: center;
  margin-bottom: 10px;
}

/* CSS Grid */
.photos {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  justify-items: center;
  grid-gap: 32px 32px;
  margin: 0 auto 0 auto;
  width: 120%;
  height: 120%;
  
}

img {
  padding-bottom: 20px;
  border-radius: 2px;
}

/* Project Page Styling*/

.bold {
  font-weight: 700;
}

.description {
  font-size: 18px;
}

/* Hover functionality */

.title a {
  background-image: linear-gradient(to right, rgba(255,255,255,0) 50%, #B7CCE5 50%);
  background-position: -0% 0;
  background-size: 200% auto;
  color: #343C44;
  font-size: 20px;
  line-height: 1.15em;
  text-decoration: none;
  transition: background-position 0.5s ease-out;
}


.title a:hover {
  background-position: -99.99% 0;
}
/* photo grid code*/

.row {
  display: flex;
  flex-wrap: wrap;
  padding: 0 4px;
}

/* Create four equal columns that sits next to each other */
.column {
  flex: 25%;
  max-width: 75%;
  padding: 0 5px;
}

.column img {
  margin-top: 8px;
  vertical-align: middle;
  width: 100%;
}

/* heaeder nav code*/

.simple-header {
	padding: 1rem;
	font-family: Avenir;
}

.simple-header .logo {
	color: #343c44;
	font-weight: 600;
	font-size: 20px;
  font-family: 'p22_mackinacmedium';
}

.simple-header nav {
	clear: both;
	max-height: 0;
	transition: max-height 0.2s ease-out;
	margin: 0;
	padding: 0;
	overflow: hidden;
}

.simple-header nav a {
	margin: 0 10px;
	padding: 10px 0;
	display: block;
	color: #343C44;
}

.simple-header nav a:hover {
	color: #6D97CA;
}

.simple-header a {
	text-decoration: none;
}

.simple-header .menu-icon {
	cursor: pointer;
	float: right;
	padding: 10px 20px 20px 20px;
	position: relative;
	user-select: none;
}

.simple-header .menu-icon .nav-icon {
	background: #333;
	display: block;
	height: 2px;
	position: relative;
	transition: background 0.2s ease-out;
	width: 18px;
}

.simple-header .menu-icon .nav-icon:before,
.simple-header .menu-icon .nav-icon:after {
	background: #333;
	content: '';
	display: block;
	height: 100%;
	position: absolute;
	transition: all 0.2s ease-out;
	width: 100%;
}

.simple-header .menu-icon .nav-icon:before {
	top: 5px;
}

.simple-header .menu-icon .nav-icon:after {
	top: -5px;
}

.simple-header .menu-btn {
	display: none;
}

.simple-header .menu-btn:checked ~ nav {
	max-height: 240px;
}

.simple-header .menu-btn:checked ~ .menu-icon .nav-icon {
	background: transparent;
}

.simple-header .menu-btn:checked ~ .menu-icon .nav-icon:before {
	transform: rotate(-45deg);
	top: 0;
}

.simple-header .menu-btn:checked ~ .menu-icon .nav-icon:after {
	transform: rotate(45deg);
	top: 0;
}

@media (min-width: 48em) {
	.simple-header a {
		float: left;
	}
	.simple-header nav {
		clear: none;
		float: right;
		max-height: none;
		a {
			padding: 10px 8px;
		}
	}
	.simple-header .menu-icon {
		display: none;
	}
}

/* Responsive layout - makes a two column-layout instead of four columns */
@media screen and (max-width: 800px) {
  .column {
    flex: 50%;
    max-width: 50%;
  }
}

/* Responsive layout - makes the two columns stack on top of each other instead of next to each other */
@media screen and (max-width: 600px) {
  .column {
    flex: 100%;
    max-width: 100%;
  }
}

/* end photo grid code */

/* Media Queries */
@media (max-width: 630px) {
  body {
    padding: 0 20px 0 20px;
  }
}

@media (max-width: 600px) {
  .photos {
    display: block;
    width:  100%;
    height: 100%;
    margin: 0 auto 0 auto;
  }
  
  h1 {
    font-size: 24px;
  }
}

